VERSION 5.00
Object = "{EEE78583-FE22-11D0-8BEF-0060081841DE}#1.0#0"; "XVoice.dll"
Begin VB.Form frmAgent 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Agent"
   ClientHeight    =   2925
   ClientLeft      =   5460
   ClientTop       =   4080
   ClientWidth     =   4575
   Icon            =   "Agent.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   ScaleHeight     =   2925
   ScaleWidth      =   4575
   Begin VB.Frame fraAgent 
      Caption         =   "Ask the Agent about..."
      Height          =   2685
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   2235
      Begin VB.CommandButton cmdAction 
         Caption         =   "Ask"
         Default         =   -1  'True
         Height          =   345
         Index           =   1
         Left            =   450
         TabIndex        =   6
         Top             =   2220
         Width           =   1305
      End
      Begin VB.OptionButton optAgent 
         Caption         =   "Manager Tasks"
         Height          =   225
         Index           =   1
         Left            =   150
         TabIndex        =   5
         Top             =   630
         Width           =   1425
      End
      Begin VB.OptionButton optAgent 
         Caption         =   "Appointments"
         Height          =   225
         Index           =   0
         Left            =   150
         TabIndex        =   4
         Top             =   330
         Value           =   -1  'True
         Width           =   1335
      End
      Begin VB.Label lblError 
         Caption         =   "Error display invisible at run time."
         Height          =   1035
         Left            =   210
         TabIndex        =   7
         Top             =   1020
         Visible         =   0   'False
         Width           =   1845
      End
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "About This Software"
      Height          =   345
      Index           =   0
      Left            =   2580
      TabIndex        =   2
      Top             =   2490
      Width           =   1875
   End
   Begin VB.PictureBox picSpeaker 
      Height          =   2265
      Left            =   2580
      Picture         =   "Agent.frx":0442
      ScaleHeight     =   2205
      ScaleWidth      =   1815
      TabIndex        =   0
      Top             =   150
      Width           =   1875
      Begin ACTIVEVOICEPROJECTLibCtl.DirectSS ttsMouth 
         Height          =   435
         Left            =   360
         OleObjectBlob   =   "Agent.frx":1166
         TabIndex        =   1
         Top             =   1500
         Visible         =   0   'False
         Width           =   915
      End
   End
End
Attribute VB_Name = "frmAgent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private WithEvents mo_Agent As clsSystemAgent
Attribute mo_Agent.VB_VarHelpID = -1
Private mo_Appt As clsDataProvider
Private mo_MngTasks As clsDataProvider
Private Sub AnswerQuestion()

   Dim i As Integer
   Dim sTextToSpeak As String
   
   On Error GoTo TRAP
   
   '---determine mode
   For i = 0 To 1
      If optAgent(i).Value = True Then Exit For
   Next
   '---act on mode
   Select Case i
      Case 0 '---appointments
         With mo_Appt
            If mo_Appt.PrimaryRecordSet.RecordCount = 0 Then
               mo_Agent.Speak "No appointments today", True
            Else
               .PrimaryRecordSet.MoveFirst
               Do Until .PrimaryRecordSet.EOF
                  sTextToSpeak = sTextToSpeak & "." & .PrimaryRecordSet.Fields("Appointment").Value
                  .PrimaryRecordSet.MoveNext
               Loop
               mo_Agent.ReadText sTextToSpeak
            End If
         End With
      Case 1 '---manager tasks
         With mo_MngTasks
            If mo_MngTasks.PrimaryRecordSet.RecordCount = 0 Then
               mo_Agent.Speak "No tasks for today", True
            Else
               .PrimaryRecordSet.MoveFirst
               Do Until .PrimaryRecordSet.EOF
                  sTextToSpeak = sTextToSpeak & "." & .PrimaryRecordSet.Fields("Description").Value
                  .PrimaryRecordSet.MoveNext
               Loop
               mo_Agent.ReadText sTextToSpeak
            End If
         End With
   End Select
   
   Exit Sub

TRAP:
   
   Exit Sub

End Sub


Public Property Set Appts(oAppt As clsDataProvider)

   Set mo_Appt = oAppt

End Property


Private Sub AskQuestion()
   
   Call AnswerQuestion
   Exit Sub
'---experimental code not implemented
'   Dim strUserAnswer As String
'   Dim strAnswers(1) As String

'   strAnswers(0) = "Yes"
'   strAnswers(1) = "No"
'   strUserAnswer = mo_Agent.AskQuestion("Please confirm?", strAnswers, -1000)
'   Select Case strUserAnswer
'   Case "Yes"
'      mo_Agent.Speak "OK, then I will do this.", False
'      Call AnswerQuestion
'   Case "No"
'      mo_Agent.Speak "Then why did you ask", True
'   Case Else
'      mo_Agent.Speak "I didn't understand, so I assume you meant no.", True
'   End Select

End Sub


Public Property Set MngTasks(oTasks As clsDataProvider)

   Set mo_MngTasks = oTasks

End Property

Private Sub cmdAction_Click(Index As Integer)
       
   On Error GoTo TRAP
     
   Select Case Index
      Case 0 '---about
         ttsMouth.Speak "Hello, I am the creator of this fine piece of software, and my agent will help you."
      Case 1 '---ask question
         Call AskQuestion
   End Select
   
   Exit Sub
TRAP:
   MsgBox "Unable to speak, sorry.", vbInformation
   Exit Sub
   
End Sub

Private Sub Form_Load()
   
   On Error GoTo TRAP
   
   Set mo_Agent = New clsSystemAgent
   Center Me
   mo_Agent.ReadText "Hello, I am Merlin.  I am here to assist you."
   Me.Caption = "Software version " & App.Major & "." & App.Minor & "." & App.Revision
   
   Exit Sub
   
TRAP:
   lblError.Caption = "Error loading Merlin system agent."
   lblError.Visible = True
   Exit Sub
   
End Sub





Private Sub Form_Unload(Cancel As Integer)

   Set mo_Agent = Nothing

End Sub


Private Sub ttsMouth_AudioStart(ByVal hi As Long, ByVal lo As Long)

   ttsMouth.Visible = True

End Sub

Private Sub ttsMouth_AudioStop(ByVal hi As Long, ByVal lo As Long)

   ttsMouth.Visible = False

End Sub


