Attribute VB_Name = "basMain"
Option Explicit

Public go_Application As clsApplication

'---used in Center form routine
Public gs_SHeight
Public gs_SWidth

Public Enum PROJ_MODE
   PROJ_ADD = 0
   PROJ_EDIT = 1
   PROJ_DEL = 2
End Enum

Public Enum TASK_MODE
   TASK_ADD = 0
   TASK_EDIT = 1
   TASK_DEL = 2
   TASK_ARCHIVE = 3
End Enum

'---this section used by the Today objects
Public Enum GRID_TYPE
   EDIT_MNG = 0
   EDIT_ASG = 1
End Enum

Public Enum TDY_TASK_TYPE
   TDY_MNG = 0
   TDY_ASG = 1
End Enum

Public Enum TDY_TASK_FILTER_VALUE
   TTFV_TDY_PAST = 0
   TTFV_TDY_1 = 1
   TTFV_TDY_2 = 2
   TTFV_TDY_3 = 3
   TTFV_TDY_4 = 4
   TTFV_TDY_5 = 5
   TTFV_TDY_ALL = 6
End Enum

Public Enum APT_MODE
   APT_ADD = 0
   APT_EDIT = 1
   APT_DEL = 2
End Enum

Public Enum APT_FILTER
   APT_TDY = 0
   APT_ALL = 1
   APT_WEEK = 2
   APT_SELECTED = 3
End Enum

Public Enum APT_CAT
   APT_CAT_ALL = 0
   APT_CAT_CONF = 1
   APT_CAT_MTG = 2
   APT_CAT_PRS = 3
   APT_CAT_HOL = 4
   APT_CAT_MISC = 5
End Enum
'---end today objects enums

'---enums for reports
Public Enum RPT_TYPE
   RPT_ASSIGNMENTS = 0
   RPT_TASK = 1
   RPT_TODAY = 2
   RPT_APT = 3
   RPT_PROJECT = 4
   RPT_TODAY_ASG = 5
   RPT_APT_SUM = 6
   RPT_MASTER_TASK = 7
   RPT_SOURCE = 8
   RPT_MASTER_PROJECT_STATUS = 9
   RPT_MASTER_PROJECT_ASSIGNED = 10
   RPT_PROJECT_LIST = 11
End Enum

Public Enum RPT_SUBTYPE
   RPT_BYPROJ = 0
   RPT_BY_COMPLETE = 1
End Enum

Public Enum RPT_MODE
   RPT_VIEW = 0
   RPT_EXPORT = 1
   RPT_PRINT = 2
End Enum

Public Enum EXP_TYPE
   EXP_NONE = -1
   EXP_WORD = 0
   EXP_RTF = 1
   EXP_PDF = 2
   EXP_EXCEL = 3
End Enum
'---end enums for reports

'---types of updates that can occur with various child objects
Public Enum UPD_TYPE
   UPD_TODAY_TASK = 0
   UPD_TASKS_TASK = 1
   UPD_PROJECT_TASK = 2
   UPD_PROJECT_ADD_DEL = 3
   UPD_ASSIGNED = 4
   UPD_PROJECT_MOD = 5
   UPD_UNARCHIVE = 6
   UPD_ASSIGNED_OR_PROJECT = 7
End Enum

Public Enum POP_MODE
   POP_TERMINATE = 0
   POP_EDIT = 1
   POP_DELETE = 2
End Enum

Public Enum ARCHIVE_MODE
   DEL_SELECTED = 0
   UNARC_SELECTED = 1
   DEL_ALL = 2
End Enum

Public Enum SOURCE_MODE
   SHOW_TASKS = 0
   SHOW_SOURCES = 1
End Enum


Public Sub Center(frm As Form)
   
   Dim lHeight, lWidth, lOffset, tOffset
   If frm.MDIChild = True Then
      lHeight = gs_SHeight
      lWidth = gs_SWidth
   Else
      lHeight = Screen.Height
      lWidth = Screen.Width
   End If

   ' Get left offset
   lOffset = ((lWidth - frm.Width) / 2)
   
   ' Get top offset
   tOffset = ((lHeight - frm.Height) / 2)

   ' Center the form
   frm.Move lOffset, tOffset

End Sub
Public Sub Main()
   

   Set go_Application = New clsApplication
   go_Application.StartApplication
   
End Sub

Public Sub ProgNote(sMsg As String)
  
   Debug.Print "PROGRAMMER NOTE: " & sMsg
   
End Sub


Public Sub SetCombo(cbo As ComboBox, vItem As Variant)

   Dim i As Integer
   
   On Error Resume Next
   
   For i = 0 To cbo.ListCount - 1
      If VarType(vItem) = vbString Then
         If cbo.List(i) = vItem Then Exit For
      Else
         If cbo.ItemData(i) = vItem Then Exit For
      End If
   Next
   cbo.ListIndex = i

End Sub





Public Sub SetHourglass()

      Screen.MousePointer = vbHourglass
      DoEvents

End Sub

Public Sub SetReady()
      
   Screen.MousePointer = vbNormal

End Sub


