VERSION 5.00
Begin VB.MDIForm mdiManager 
   BackColor       =   &H8000000C&
   Caption         =   "Administrative Director"
   ClientHeight    =   10725
   ClientLeft      =   540
   ClientTop       =   330
   ClientWidth     =   14325
   Icon            =   "Manager.frx":0000
   LinkTopic       =   "MDIForm1"
   Begin VB.PictureBox picSource 
      Align           =   4  'Align Right
      BackColor       =   &H80000002&
      Height          =   10725
      Left            =   13230
      ScaleHeight     =   10665
      ScaleWidth      =   1035
      TabIndex        =   6
      Top             =   0
      Width           =   1100
      Begin VB.CommandButton cmdAction 
         Caption         =   "Sources"
         Height          =   300
         Index           =   7
         Left            =   25
         Picture         =   "Manager.frx":0442
         TabIndex        =   12
         Top             =   60
         Width           =   975
      End
      Begin VB.ListBox lstSources 
         Height          =   8445
         Left            =   30
         Sorted          =   -1  'True
         TabIndex        =   11
         Top             =   450
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Agent"
         Height          =   300
         Index           =   4
         Left            =   25
         Picture         =   "Manager.frx":0884
         TabIndex        =   10
         Top             =   9480
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Archive"
         Height          =   300
         Index           =   3
         Left            =   25
         Picture         =   "Manager.frx":0CC6
         TabIndex        =   9
         Top             =   9090
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Calendar"
         Height          =   300
         Index           =   5
         Left            =   25
         Picture         =   "Manager.frx":1108
         TabIndex        =   8
         Top             =   9870
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Contacts"
         Height          =   300
         Index           =   6
         Left            =   25
         Picture         =   "Manager.frx":154A
         TabIndex        =   7
         Top             =   10260
         Width           =   975
      End
   End
   Begin VB.PictureBox picProjects 
      Align           =   3  'Align Left
      BackColor       =   &H80000002&
      Height          =   10725
      Left            =   0
      ScaleHeight     =   10665
      ScaleWidth      =   1035
      TabIndex        =   0
      Top             =   0
      Width           =   1100
      Begin VB.ListBox lstTask 
         Height          =   2985
         Left            =   30
         Sorted          =   -1  'True
         TabIndex        =   5
         Top             =   7530
         Width           =   945
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Today"
         Height          =   300
         Index           =   0
         Left            =   30
         Picture         =   "Manager.frx":198C
         TabIndex        =   4
         Top             =   60
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Projects"
         Height          =   300
         Index           =   1
         Left            =   30
         Picture         =   "Manager.frx":1DCE
         TabIndex        =   3
         Top             =   480
         Width           =   975
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Tasks"
         Height          =   300
         Index           =   2
         Left            =   30
         Picture         =   "Manager.frx":2210
         TabIndex        =   2
         Top             =   7110
         Width           =   975
      End
      Begin VB.ListBox lstProjects 
         Height          =   6105
         Left            =   30
         Sorted          =   -1  'True
         TabIndex        =   1
         Top             =   870
         Width           =   945
      End
   End
   Begin VB.Menu mnuPop 
      Caption         =   "PopUp"
      Visible         =   0   'False
      Begin VB.Menu mnuPopUp 
         Caption         =   "Cascade Windows"
         Index           =   0
      End
      Begin VB.Menu mnuPopUp 
         Caption         =   "Close Windows"
         Index           =   1
      End
   End
End
Attribute VB_Name = "mdiManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public Event MenuClick(iIndex As Integer)
Public Event Unloaded(iCancel As Integer, iUnloadMode As Integer)
Public Event LoadProject(sProjName As String)
Public Event LoadTasks(sResource As String)
Public Event CascadeWindows()
Public Event LoadSource(sSource As String)
Private Sub cmdAction_Click(Index As Integer)
   
   RaiseEvent MenuClick(Index)

End Sub

Private Sub lstProjects_Click()

   lstProjects.ToolTipText = lstProjects.List(lstProjects.ListIndex)

End Sub

Private Sub lstProjects_DblClick()

   RaiseEvent LoadProject(lstProjects.List(lstProjects.ListIndex))

End Sub


Private Sub lstSources_DblClick()

   RaiseEvent LoadSource(lstSources.List(lstSources.ListIndex))

End Sub


Private Sub lstTask_DblClick()

   RaiseEvent LoadTasks(lstTask.List(lstTask.ListIndex))

End Sub


Private Sub MDIForm_Load()
   
   '---my preferences
   Me.Height = 11130
   Me.Width = 14445
   Me.Top = 0
   Me.Left = 400
   
End Sub

Private Sub MDIForm_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)

   If Button = 2 Then PopUpMenu mnuPop

End Sub


Private Sub MDIForm_QueryUnload(Cancel As Integer, UnloadMode As Integer)

   RaiseEvent Unloaded(Cancel, UnloadMode)

End Sub

Private Sub MDIForm_Resize()
            
      On Error Resume Next
      gs_SHeight = Me.ScaleHeight
      gs_SWidth = Me.ScaleWidth
      
End Sub

Private Sub MDIForm_Terminate()

   Debug.Print "mdi from terminating..."

End Sub












Private Sub mnuPopUp_Click(Index As Integer)

   Dim i As Integer
   Dim cForms As New Collection
   Dim fForm As Form
   
   Select Case Index
      Case 0
         RaiseEvent CascadeWindows
      Case 1
         For i = 0 To Forms.Count - 1
               If Forms(i).Name <> "mdiManager" Then cForms.Add Forms(i)
         Next i
         For Each fForm In cForms
            Unload fForm
         Next
         Set cForms = Nothing
   End Select

End Sub

Private Sub picProjects_DblClick()

   RaiseEvent CascadeWindows

End Sub


Private Sub picProjects_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)

   If Button = 2 Then PopUpMenu mnuPop
   

End Sub


