VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPickList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private mrs_Resources As ADODB.Recordset
Private mrs_Priority As ADODB.Recordset
Private mrs_Source As ADODB.Recordset
Private mrs_Category As ADODB.Recordset

Public Enum PIC_TYPE
   PIC_RESOURCE = 0
   PIC_STATUS = 1
   PIC_PRIORITY = 2
   PIC_SOURCE = 3
   PIC_CATEGORY = 4
End Enum
Public Sub LoadPickList(lst As Control, tList As PIC_TYPE)

   Select Case tList
      Case PIC_RESOURCE
         mrs_Resources.MoveFirst
         Do While Not mrs_Resources.EOF
            lst.AddItem mrs_Resources.Fields("Resource").Value
            lst.ItemData(lst.NewIndex) = mrs_Resources.Fields("Authority").Value
            mrs_Resources.MoveNext
         Loop
      Case PIC_STATUS
         lst.AddItem "Active"
         lst.AddItem "Pending"
         lst.AddItem "Suspense"
         lst.AddItem "Terminated"
      Case PIC_PRIORITY
         mrs_Priority.MoveFirst
         Do While Not mrs_Priority.EOF
            lst.AddItem mrs_Priority.Fields("Priority").Value
            lst.ItemData(lst.NewIndex) = mrs_Priority.Fields("ID").Value
            mrs_Priority.MoveNext
         Loop
      Case PIC_SOURCE
         mrs_Source.MoveFirst
         Do While Not mrs_Source.EOF
            lst.AddItem mrs_Source.Fields("Source").Value
            lst.ItemData(lst.NewIndex) = mrs_Source.Fields("ID").Value
            mrs_Source.MoveNext
         Loop
      Case PIC_CATEGORY
         mrs_Category.MoveFirst
         Do While Not mrs_Category.EOF
            lst.AddItem mrs_Category.Fields("CatName").Value
            lst.ItemData(lst.NewIndex) = mrs_Category.Fields("CatType").Value
            mrs_Category.MoveNext
         Loop
   End Select
   
   lst.ListIndex = 0

End Sub


Public Sub Init(oDataService As clsDataService)

   Dim sSQL As String

   Set mrs_Resources = oDataService.GetResources
   Set mrs_Priority = oDataService.GetPriorities
   Set mrs_Source = oDataService.GetSources
   Set mrs_Category = oDataService.GetCategory
   
End Sub


