VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSource"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private WithEvents mf_Source As frmSource
Attribute mf_Source.VB_VarHelpID = -1
Private mo_Sources As clsPickList
Private mo_DataService As clsDataService
Private mo_ProgConfig As clsProgConfig
Private mb_NeedRefresh As Boolean
Public Sub Init(oPickList As clsPickList, oDataService As clsDataService, oProgConfig As clsProgConfig)

   Set mo_Sources = oPickList
   Set mo_DataService = oDataService
   Set mo_ProgConfig = oProgConfig
   
End Sub

Public Sub Refresh()

   mb_NeedRefresh = True

End Sub

Public Sub Show(tMode As SOURCE_MODE, Optional sSource As String = "")

   Select Case tMode
      Case SHOW_SOURCES
         ShowSourceEditor
      Case SHOW_TASKS
         ShowTasks (sSource)
   End Select

End Sub


Private Sub ShowSourceEditor()

   MsgBox "To do: Create Source Editor"

End Sub

Private Sub ShowTasks(sSource As String)

   Set mf_Source = New frmSource
   Load mf_Source
   mf_Source.Display mo_DataService, mo_ProgConfig, mo_Sources, sSource

End Sub


Private Sub mf_Source_Activate()
   
   Dim sCap As String
   
   If mb_NeedRefresh Then
      mb_NeedRefresh = False
      SetHourglass
      sCap = mf_Source.Caption
      mf_Source.Caption = sCap & " (refreshing tasks lists...)"
      mf_Source.RefreshTasks
      mf_Source.Caption = sCap
      SetReady
   End If

End Sub




Private Sub mf_Source_Unloaded(sSource As Variant)

   Set mf_Source = Nothing
   go_Application.RemoveSourceMember (sSource)

End Sub


