VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsUser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private ms_User As String
Private mb_Manager As Boolean
Private mo_DataService As clsDataService

Public Sub Init(oData As clsDataService)

   Set mo_DataService = oData

End Sub

Public Property Get Manager() As Boolean

   Manager = mb_Manager

End Property

Public Property Get User() As String

   User = ms_User

End Property


Public Function ValidateUser(sUser As String, sPassword As String, sMsg As String) As Boolean
   
   Dim bRV As Boolean
   Dim bManager As Boolean
   Dim sPassTry As String
   
   If mo_DataService.GetUserProfile(sUser, bManager, sPassTry) Then
      If sPassTry = sPassword Then
         bRV = True
         ms_User = sUser
         mb_Manager = bManager
      Else
         bRV = False
         sMsg = "Invalid password"
      End If
   Else
      sMsg = "User not found"
      bRV = False
   End If
   
   ValidateUser = bRV
   
End Function


