VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsAppointments"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'---module objects
Private WithEvents mf_Appointments As frmAppointments
Attribute mf_Appointments.VB_VarHelpID = -1
Private WithEvents mo_DataProvider As clsDataProvider '---host data
Attribute mo_DataProvider.VB_VarHelpID = -1
Private mo_PickList As clsPickList '---pick list for all forms
Private mo_DataService As clsDataService '---gets data
Private ms_CurApt As String
Private ml_AppID As Long
Public Sub Init(oDataService As clsDataService)

   '---init module objects
   Set mo_DataService = oDataService
   Set mo_PickList = New clsPickList
   mo_PickList.Init mo_DataService
   
End Sub

Private Sub Modify(tMode As APT_MODE)
   
   Dim fAppt As frmAppointment
   
   Set fAppt = New frmAppointment
   If tMode = APT_ADD Then
      fAppt.AptDate = mf_Appointments.AddAptDate
   Else
      fAppt.AptDate = mo_DataProvider.PrimaryRecordSet.Fields("AptDate").Value
      fAppt.Apt = mo_DataProvider.PrimaryRecordSet.Fields("Appointment").Value
      fAppt.AptTime = mo_DataProvider.PrimaryRecordSet.Fields("AptTime").Value
   End If
   Load fAppt
   fAppt.Show vbModal
   If fAppt.OK Then
      With mo_DataProvider
         If tMode = APT_ADD Then .AddNew
         .PrimaryRecordSet.Fields("Appointment").Value = fAppt.Apt
         .PrimaryRecordSet.Fields("AptDate").Value = fAppt.AptDate
         If fAppt.AptTime <> "" Then .PrimaryRecordSet.Fields("AptTime").Value = fAppt.AptTime
         .Update
      End With
   End If
   Unload fAppt
   Set fAppt = Nothing

End Sub


Public Sub Show()

   If (mf_Appointments Is Nothing) Then
      '---create appointment data
      If Not (mo_DataProvider Is Nothing) Then Set mo_DataProvider = Nothing
      Set mo_DataProvider = New clsDataProvider
      mo_DataProvider.Init mo_DataService, mo_DataService.AllAppointmentsQuery
      '---load the form
      Set mf_Appointments = New frmAppointments
      Load mf_Appointments
      With mf_Appointments.grdAppointments
         Set .DataSource = mo_DataProvider
         .DataMember = mo_DataProvider.DataMemberName
         .ReBind
         mo_DataProvider.MoveFirst
      End With
   End If
   
   mf_Appointments.Show

End Sub

Private Sub mf_Appointments_Modify(tMode As APT_MODE)

   
   Select Case tMode
      Case APT_ADD, APT_EDIT
         Call Modify(tMode)
      Case APT_DEL
         If MsgBox("Confirm Appointment Deletion for " & ms_CurApt, vbQuestion + vbYesNo) = vbYes Then
            mo_DataProvider.Delete
         End If
   End Select

End Sub

Private Sub mf_Appointments_Unloaded()

   Set mf_Appointments = Nothing

End Sub


Private Sub mo_DataProvider_MoveComplete(lKey As Long)

   ml_AppID = lKey
   If lKey <> 0 Then
      Debug.Print "moving to " & lKey
      ms_CurApt = mo_DataProvider.PrimaryRecordSet.Fields("Appointment").Value
   End If
   
End Sub


