VERSION 5.00
Begin VB.Form frmLogin 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Please Login..."
   ClientHeight    =   2100
   ClientLeft      =   5910
   ClientTop       =   4410
   ClientWidth     =   2925
   Icon            =   "Login.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2100
   ScaleWidth      =   2925
   ShowInTaskbar   =   0   'False
   Begin VB.ComboBox cboDSN 
      Height          =   315
      Left            =   60
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   1590
      Width           =   2715
   End
   Begin VB.CommandButton cmdAction 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   345
      Index           =   1
      Left            =   1980
      TabIndex        =   4
      Top             =   930
      Width           =   795
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   345
      Index           =   0
      Left            =   1980
      TabIndex        =   3
      Top             =   240
      Width           =   795
   End
   Begin VB.TextBox txtPassword 
      Height          =   285
      IMEMode         =   3  'DISABLE
      Left            =   60
      PasswordChar    =   "?"
      TabIndex        =   1
      Top             =   930
      Width           =   1605
   End
   Begin VB.TextBox txtUser 
      Height          =   285
      Left            =   60
      TabIndex        =   0
      Top             =   300
      Width           =   1605
   End
   Begin VB.Label lblStatic 
      Caption         =   "Database:"
      Height          =   225
      Index           =   2
      Left            =   60
      TabIndex        =   7
      Top             =   1380
      Width           =   1095
   End
   Begin VB.Label lblStatic 
      Caption         =   "Password:"
      Height          =   225
      Index           =   1
      Left            =   60
      TabIndex        =   6
      Top             =   720
      Width           =   1095
   End
   Begin VB.Label lblStatic 
      Caption         =   "User:"
      Height          =   225
      Index           =   0
      Left            =   60
      TabIndex        =   5
      Top             =   60
      Width           =   525
   End
End
Attribute VB_Name = "frmLogin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public OK As Boolean
Private mo_User As clsUser
Private mo_DataService As clsDataService

Private Function ConnectToDatabase(sMsg As String) As Boolean
   
   Dim bRV As Boolean
   Dim sConn As String
   
   Set mo_User = New clsUser
   Set mo_DataService = New clsDataService
      
   sConn = App.Path & "\" & cboDSN.Text
   If mo_DataService.Init(sConn, sMsg) Then
      mo_User.Init mo_DataService
      bRV = True
   Else
      bRV = False
   End If
   
   ConnectToDatabase = bRV

End Function



Public Property Get DataService() As clsDataService

   Set DataService = mo_DataService

End Property

Public Sub Display()
   
   Dim sTmp As String
   
   '---Load all DSN files in the app path
   cboDSN.Clear
   sTmp = Dir$(App.Path & "\*.DSN")
   While sTmp <> ""
      cboDSN.AddItem sTmp
      sTmp = Dir$
   Wend
   If cboDSN.ListCount > 0 Then cboDSN.ListIndex = 0
   Me.Show vbModal
      
End Sub
Public Property Get UserProfile() As clsUser

   Set UserProfile = mo_User

End Property


Private Sub cmdAction_Click(Index As Integer)
   
   Dim sMsg As String
   Static iTry As Integer
   
   If Index = 0 Then '---user wants to connect
      SetHourglass
      If ConnectToDatabase(sMsg) Then
         If Not mo_User.ValidateUser(txtUser.Text, txtPassword.Text, sMsg) Then
            If iTry > 1 Then
               SetReady
               MsgBox "User validation attempts have exceeded the tolerance of the programmer.", vbCritical
               OK = False
               Me.Hide
            Else
               SetReady
               MsgBox sMsg, vbInformation
               iTry = iTry + 1
            End If
         Else '---user was validated
            OK = True
            Me.Hide
         End If
      Else '---couldn't connect to database
         SetReady
         MsgBox "Unable to connect to the database.", vbCritical
         OK = False
         Me.Hide
      End If
   Else '---user canceled
      OK = False
      Me.Hide
   End If
   
   
End Sub

Private Sub Form_Load()

   Center Me

End Sub


Private Sub Form_Unload(Cancel As Integer)

   OK = False

End Sub


